This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 42792 - DialogDisplayer.Trivial does not dispose() on Esc key
Summary: DialogDisplayer.Trivial does not dispose() on Esc key
Status: CLOSED FIXED
Alias: None
Product: platform
Classification: Unclassified
Component: Window System (show other bugs)
Version: 4.x
Hardware: All All
: P3 blocker (vote)
Assignee: Petr Nejedly
URL:
Keywords: PERFORMANCE, SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2004-05-04 23:05 UTC by Petr Nejedly
Modified: 2008-12-22 16:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Nejedly 2004-05-04 23:05:08 UTC
The full impl in core/windows does dispose() on
pressing Esc key, while the Trivial impl calls
just setVisible(false), which is not enough, as it
does neither free associated resources nor call
any window listener.
It should be consistent with full impl if possible
anyway.
Comment 1 Petr Nejedly 2004-05-04 23:07:14 UTC
Reassing back to me if you agree and don't have time for it.
It causes memleak in my standalone app...
Comment 2 David Simonek 2004-05-05 10:00:34 UTC
Thx, passing back, I'm slipping with my sliding work, so I have no
time for bugs at all.
Comment 3 Petr Nejedly 2004-05-06 12:37:31 UTC
Fixed in openide/src/org/openide/DialogDisplayer.java,v1.12
Comment 4 Petr Nejedly 2004-05-21 13:15:25 UTC
OK now.